## sphinx-needs 5.1.0+dfsg

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = needstestdocs
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== performance/requirements.txt ===
click
tabulate

## sphinx-needs 5.1.0%2Bdfsg

=== debian/control ===
Source: sphinx-needs
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Christian Bayle <bayle@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 pybuild-plugin-pyproject,
 flit,
 python3-pytest,
 python3-pytest-xdist,
 python3-pytest-benchmark,
 python3-pytest-remotedata,
 python3-pytest-regressions,
 python3-pytest-xprocess,
 python3-pytest-emoji,
 python3-hypothesis,
 python3-pytest-doctestplus,
 python3-pytest-astropy,
 python3-pytest-mock,
 python3-anyio,
 python3-syrupy,
 python3-pytest-arraydiff,
 python3-pytest-cov,
 python3-pytest-filter-subpackage,
 python3-pytest-astropy-header,
 python3-typeguard,
 python3-pytest-skip-markers,
 python3-pytest-datadir,
 python3-defusedxml,
 python3-sphinx,
 python3-sphinx-data-viewer,
 python3-sphinx-copybutton,
 python3-sphinx-design,
 python3-sphinxcontrib.jquery,
 python3-sphinxcontrib.plantuml,
 python3-sphinxcontrib.programoutput,
 python3-sphinxcontrib.serializinghtml,
 python3-sphinxcontrib.htmlhelp,
 python3-responses,
 python3-memray,
 python3-lxml,
 python3-requests-file,
 python3-jsonschema,
 python3-matplotlib,
 sphinx-doc,
 python3.13-doc,
 libjs-jquery-datatables,
 libjs-jquery-datatables-extensions,
 furo,
 plantuml,
 graphviz,
# Unused themes:
# python3-pydata-sphinx-theme,
# python3-sphinx-rtd-theme,
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.7.2
Homepage: https://github.com/useblocks/sphinx-needs
Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-needs
Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-needs.git

Package: python3-sphinx-needs
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Suggests:
 python-sphinx-needs-doc,
Description: Brings Engineering-as-Code to the Sphinx framework (Python 3)
 Combine Docs-as-Code with Application Lifecycle Management, to track
 requirements, specifications, test cases, and other engineering objects
 in your document
 .
 This package installs the library for Python 3.

Package: python-sphinx-needs-doc
Section: doc
Architecture: all
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends},
Description:  Brings Engineering-as-Code to the Sphinx framework(documentation)
 Combine Docs-as-Code with Application Lifecycle Management, to track
 requirements, specifications, test cases, and other engineering objects
 in your document
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=sphinx-needs
# Build with furo theme
export DOCS_THEME=furo
# Workaround for:
# mkdir -p failed for path /nonexistent/.config/matplotlib: [Errno 13] Permission denied: '/nonexistent'
# Matplotlib created a temporary cache directory at /tmp/matplotlib-xxxxx ...
export MPLCONFIGDIR=$(shell mktemp --tmpdir -d matplotlib-XXXXXXX)

ifeq ($(PYBUILD_AUTOPKGTEST),1)
# Skip test requiring test_app0 or plantuml or graphviz or node cypress or test_official (time, memory)
export PYTEST_ADDOPTS="-k not test_app0 and not plantuml and not graphviz and not test_collapse_button_in_variant_doc and not test_collapse_button_in_doc_basic and not test_official"
else
# Skip test requiring node install using unpackaged cypress (https://www.npmjs.com/package/cypress)
# These tests are working only online adding npx dependancy
# Disable unstable test_parallel_execution.py::test_doc_build_html
export PYTEST_ADDOPTS="-k not test_collapse_button_in_variant_doc and not test_collapse_button_in_doc_basic and not test_doc_build_html and not test_official"
endif

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild


override_dh_auto_build: sphinx_needs/libs/html/datatables.min.js sphinx_needs/libs/html/datatables.min.css
	dh_auto_build

execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
	# Replace badge downloaded with one debian made.
	cp debian/badge.svg docs/
	# Replace uptream provided plantuml with debian provided by plantuml package
	[ -d docs/utils ] || mkdir docs/utils
	ln -s /usr/share/plantuml/plantuml.jar ./docs/utils/plantuml-1.2022.14.jar
	# HTML sphinx doc generator
	PYTHONPATH=. python3 -m sphinx -N -bhtml \
	docs/ build/html 
	# Remove build log
	rm -f build/html/debug_filters.jsonl

override_dh_clean:
	-rm -rf .pytest_cache/
	-rm -f mem_out.bin
	-rm -rf sphinx_needs/__pycache__/
	-rm -rf sphinx_needs/api/__pycache__/
	-rm -rf sphinx_needs/directives/__pycache__/
	-rm -rf sphinx_needs/directives/needflow/__pycache__/
	-rm -rf sphinx_needs/functions/__pycache__/
	-rm -rf sphinx_needs/nodes/__pycache__/
	-rm -rf sphinx_needs/roles/__pycache__/
	-rm -rf sphinx_needs/services/__pycache__/
	-rm -rf sphinx_needs/services/config/__pycache__/
	-rm -rf tests/__pycache__/
	-rm -rf tests/benchmarks/__pycache__/
	-rm -rf tests/data/__pycache__/
	-rm -rf tests/test_services/__pycache__/
	-rm -rf tests/test_styles/__pycache__/
	-rm -f docs/_static/tutorial_needs.json
	-rm -f ./docs/badge.svg
	-rm -f sphinx_needs/libs/html/datatables.min.js
	-rm -f sphinx_needs/libs/html/datatables.min.css
	dh_clean

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Replace uptream provided plantuml with debian provided by plantuml package
	[ -d tests/doc_test/utils ] || mkdir tests/doc_test/utils
	ln -s /usr/share/plantuml/plantuml.jar ./tests/doc_test/utils/plantuml.jar
	#PYTHONPATH=. python3 -m pytest tests
	dh_auto_test
endif

override_dh_compress:
	# Do not compress sphinx doc (changelog.html for example)
	dh_compress -Xpython-sphinx-needs-doc/html

# Targets used to rebuild minified js and css removed from upstream tarball
sphinx_needs/libs/html/datatables.min.js:
	cat \
	/usr/share/javascript/jquery-datatables-extensions/JSZip/jszip.min.js \
	/usr/share/javascript/jquery-datatables-extensions/pdfmake/build/pdfmake.min.js \
	/usr/share/javascript/jquery-datatables-extensions/pdfmake/build/vfs_fonts.js \
	/usr/share/javascript/jquery-datatables/jquery.dataTables.min.js \
	/usr/share/javascript/jquery-datatables-extensions/Buttons/js/dataTables.buttons.min.js \
	/usr/share/javascript/jquery-datatables-extensions/Buttons/js/buttons.colVis.min.js \
	/usr/share/javascript/jquery-datatables-extensions/Buttons/js/buttons.html5.min.js \
	/usr/share/javascript/jquery-datatables-extensions/Buttons/js/buttons.print.min.js \
	/usr/share/javascript/jquery-datatables-extensions/ColReorder/js/dataTables.colReorder.min.js \
	/usr/share/javascript/jquery-datatables-extensions/FixedColumns/js/dataTables.fixedColumns.min.js \
	/usr/share/javascript/jquery-datatables-extensions/FixedHeader/js/dataTables.fixedHeader.min.js \
	/usr/share/javascript/jquery-datatables-extensions/Responsive/js/dataTables.responsive.min.js \
	/usr/share/javascript/jquery-datatables-extensions/Scroller/js/dataTables.scroller.min.js \
	> $@
		

sphinx_needs/libs/html/datatables.min.css:
	cat \
	/usr/share/javascript/jquery-datatables/css/jquery.dataTables.min.css \
	/usr/share/javascript/jquery-datatables-extensions/Buttons/css/buttons.dataTables.min.css \
	/usr/share/javascript/jquery-datatables-extensions/ColReorder/css/colReorder.dataTables.min.css \
	/usr/share/javascript/jquery-datatables-extensions/FixedColumns/css/fixedColumns.dataTables.min.css \
	/usr/share/javascript/jquery-datatables-extensions/FixedHeader/css/fixedHeader.dataTables.min.css \
	/usr/share/javascript/jquery-datatables-extensions/Responsive/css/responsive.dataTables.min.css \
	/usr/share/javascript/jquery-datatables-extensions/Scroller/css/scroller.dataTables.min.css \
	> $@

# Build target for dfsg tarball
tarxz:
	mk-origtargz ../sphinx-needs-5.1.0.tar.gz

## sphinx-needs 5.1.0+dfsg

=== debian/changelog ===
sphinx-needs (5.1.0+dfsg-4) unstable; urgency=medium

  * Skip test_app0 test that requires condition not filled in autobuilder
    (Closes: #1117433)

 -- Christian Bayle <bayle@debian.org>  Wed, 08 Oct 2025 17:15:37 +0200

sphinx-needs (5.1.0+dfsg-3) unstable; urgency=medium

  * Use a more reliable reproducible id

 -- Christian Bayle <bayle@debian.org>  Sun, 21 Sep 2025 18:58:36 +0200

sphinx-needs (5.1.0+dfsg-2) unstable; urgency=medium

  * Add several patch for reproductibility

 -- Christian Bayle <bayle@debian.org>  Sat, 20 Sep 2025 20:39:27 +0200

sphinx-needs (5.1.0+dfsg-1) unstable; urgency=medium

  * Source only upload 

 -- Christian Bayle <bayle@debian.org>  Tue, 24 Jun 2025 23:15:15 +0200

sphinx-needs (5.1.0+dfsg-1~exp2) experimental; urgency=medium

  * Remove not needed JSZip symlink
  * Add missing datatables.min.js and datatables.min.css

 -- Christian Bayle <bayle@debian.org>  Thu, 15 May 2025 01:22:46 +0200

sphinx-needs (5.1.0+dfsg-1~exp1) experimental; urgency=medium

  * Initial release. (Closes: #1103576)

 -- Christian Bayle <bayle@debian.org>  Sat, 19 Apr 2025 15:38:11 +0200

=== debian/control ===
--- 
+++ 
@@ -54,6 +54,7 @@
  furo,
  plantuml,
  graphviz,
+ locales-all,
 # Unused themes:
 # python3-pydata-sphinx-theme,
 # python3-sphinx-rtd-theme,

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,9 @@
 # Skip test requiring node install using unpackaged cypress (https://www.npmjs.com/package/cypress)
 # These tests are working only online adding npx dependancy
 # Disable unstable test_parallel_execution.py::test_doc_build_html
-export PYTEST_ADDOPTS="-k not test_collapse_button_in_variant_doc and not test_collapse_button_in_doc_basic and not test_doc_build_html and not test_official"
+# The test also fails in auto bluilder (See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1117433)
+#export PYTEST_ADDOPTS="-k not test_collapse_button_in_variant_doc and not test_collapse_button_in_doc_basic and not test_doc_build_html and not test_official"
+export PYTEST_ADDOPTS="-k not test_app0 and not plantuml and not graphviz and not test_collapse_button_in_variant_doc and not test_collapse_button_in_doc_basic and not test_official"
 endif
 
 %:
@@ -29,19 +31,27 @@
 override_dh_auto_build: sphinx_needs/libs/html/datatables.min.js sphinx_needs/libs/html/datatables.min.css
 	dh_auto_build
 
-execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
-execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
+#execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
+#execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
 execute_after_dh_auto_build-indep:
 	# Replace badge downloaded with one debian made.
 	cp debian/badge.svg docs/
 	# Replace uptream provided plantuml with debian provided by plantuml package
 	[ -d docs/utils ] || mkdir docs/utils
-	ln -s /usr/share/plantuml/plantuml.jar ./docs/utils/plantuml-1.2022.14.jar
+	if [ ! -L ./docs/utils/plantuml-1.2022.14.jar ] ; then \
+		ln -s /usr/share/plantuml/plantuml.jar ./docs/utils/plantuml-1.2022.14.jar ; \
+	fi
 	# HTML sphinx doc generator
+	export LANG=en_US.UTF-8; \
+	export LANGUAGE=en_US.UTF-8; \
+	export SPHINXOPTS="-D language=en" ; \
+	export PYTHONHASHSEED=0 ; \
 	PYTHONPATH=. python3 -m sphinx -N -bhtml \
 	docs/ build/html 
 	# Remove build log
 	rm -f build/html/debug_filters.jsonl
+	# Remove cache
+	#rm -rf build/.doctrees
 
 override_dh_clean:
 	-rm -rf .pytest_cache/
